Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform
Class Platform

    java.lang.Object
      com.sun.squawk.platform.Platform

    public class Platform

extends Object

This class provides access to the platform-specific implementations of various features.

Field Summary
`static int` | `BARE_METAL` Basic kinds of PLATFORM_TYPE, as defined in build.properties
`static boolean` | `DEBUG`
`static int` | `DELEGATING`
`static boolean` | `IS_BARE_METAL`
`static boolean` | `IS_DELEGATING`
`static boolean` | `IS_NATIVE`
`static boolean` | `IS_SOCKET`
`static int` | `NATIVE`
`static int` | `SOCKET`

Method Summary
`static SystemEvents` | `createSystemEvents()` Create the correct kind of SystemEvents Handler, or null if none needed.
`static GCFFile` | `getFileHandler()`
`static GCFSockets` | `getGCFSockets()`
`static String` | `getPlatformName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

See Also:
  Constant Field Values

### BARE_METAL

    public static final int BARE_METAL

  Basic kinds of PLATFORM_TYPE, as defined in build.properties

  See Also:
    Constant Field Values

### DELEGATING

    public static final int DELEGATING

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### SOCKET

    public static final int SOCKET

See Also:
  Constant Field Values

### IS_BARE_METAL

    public static final boolean IS_BARE_METAL

See Also:
  Constant Field Values

### IS_DELEGATING

    public static final boolean IS_DELEGATING

See Also:
  Constant Field Values

### IS_NATIVE

    public static final boolean IS_NATIVE

See Also:
  Constant Field Values

### IS_SOCKET

    public static final boolean IS_SOCKET

See Also:
  Constant Field Values

Method Detail

### getPlatformName

    public static String getPlatformName()

### getGCFSockets

    public static GCFSockets getGCFSockets()

### createSystemEvents

    public static SystemEvents createSystemEvents()

  Create the correct kind of SystemEvents Handler, or null if none needed.

  Returns:

### getFileHandler

    public static GCFFile getFileHandler()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"